Managed Clusters - Get Upgrade Profile

Gets the upgrade profile of a managed cluster.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/upgradeProfiles/default?api-version=2026-02-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

resourceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$

The name of the managed cluster resource.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ManagedClusterUpgradeProfile

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get Upgrade Profile for Managed Cluster

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/upgradeProfiles/default?api-version=2026-02-01

Sample response

{
  "name": "default",
  "type": "Microsoft.ContainerService/managedClusters/upgradeprofiles",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/upgradeprofiles/default",
  "properties": {
    "agentPoolProfiles": [
      {
        "name": "agent",
        "kubernetesVersion": "1.7.7",
        "osType": "Linux",
        "upgrades": [
          {
            "kubernetesVersion": "1.7.9"
          },
          {
            "isPreview": true,
            "kubernetesVersion": "1.7.11"
          }
        ]
      }
    ],
    "controlPlaneProfile": {
      "name": "master",
      "kubernetesVersion": "1.7.7",
      "osType": "Linux",
      "upgrades": [
        {
          "isPreview": true,
          "kubernetesVersion": "1.7.9"
        },
        {
          "kubernetesVersion": "1.7.11"
        }
      ]
    }
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedClusterPoolUpgradeProfile

The list of available upgrade versions.

ManagedClusterPoolUpgradeProfileUpgradesItem

Available upgrades for an AgentPool.

ManagedClusterUpgradeProfile

The list of available upgrades for compute pools.

OSType

The operating system type. The default is Linux.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedClusterPoolUpgradeProfile

The list of available upgrade versions.

Name Type Default value Description
kubernetesVersion

string

The Kubernetes version (major.minor.patch).

name

string

The Agent Pool name.

osType

OSType

Linux

The operating system type. The default is Linux.

upgrades

ManagedClusterPoolUpgradeProfileUpgradesItem[]

List of orchestrator types and versions available for upgrade.

ManagedClusterPoolUpgradeProfileUpgradesItem

Available upgrades for an AgentPool.

Name Type Description
isPreview

boolean

Whether the Kubernetes version is currently in preview.

kubernetesVersion

string

The Kubernetes version (major.minor.patch).

ManagedClusterUpgradeProfile

The list of available upgrades for compute pools.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.agentPoolProfiles

ManagedClusterPoolUpgradeProfile[]

The list of available upgrade versions for agent pools.

properties.controlPlaneProfile

ManagedClusterPoolUpgradeProfile

The list of available upgrade versions for the control plane.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

OSType

The operating system type. The default is Linux.

Value Description
Linux

Use Linux.

Windows

Use Windows.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.